# Method: images.annotate

- [HTTP request](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/annotate#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/annotate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/annotate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/annotate#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/annotate#body.BatchAnnotateImagesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/annotate#body.aspect)
- [Try it!](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/images/annotate#try-it)

Run image detection and annotation for a batch of images.

### HTTP request

`POST https://alpha-vision.googleapis.com/v1/images:annotate`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "requests": [ { object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/AnnotateImageRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/AnnotateImageRequest`)`` Individual image annotation requests for this batch. |

### Response body

If successful, the response body contains data with the following structure:
Response to a batch image annotation request.

| JSON representation ||
|---|---|
| ``` { "responses": [ { object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/AnnotateImageResponse`) } ] } ``` |

| Fields ||
|---|---|
| `responses[]` | ``object(`https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/AnnotateImageResponse`)`` Individual responses to image annotation requests within the batch. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-vision`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## Try it!